register_check_parameters(
	subgroup_storage,
	'multipath_broken',
	_('Linux multipath broken paths'),
	Dictionary(
		elements = [
            ('broken_levels',
                Tuple(
                    title = _("Set levels on broken paths"),
                    elements = [
			            Integer(title = _("Warning at"), default_value = 1),
			            Integer(title = _("Critical at"), default_value = 2),
		            ]
	            ),
            ),
            ('sumpaths',
                Integer(title = _("Sum Paths"))
            ),
            ('state_if_new',
                MonitoringState(
                    default_value = 1,
                    title = _("State in case of new paths found"),
                )
            )
       ]
   ),
   None,
   match_type = 'dict',
)
